summaryrefslogtreecommitdiff
path: root/tests/mkdir/writable-under-readonly
diff options
context:
space:
mode:
Diffstat (limited to 'tests/mkdir/writable-under-readonly')
-rwxr-xr-xtests/mkdir/writable-under-readonly5
1 files changed, 4 insertions, 1 deletions
diff --git a/tests/mkdir/writable-under-readonly b/tests/mkdir/writable-under-readonly
index bf2c2ad37..92d87ab5a 100755
--- a/tests/mkdir/writable-under-readonly
+++ b/tests/mkdir/writable-under-readonly
@@ -1,7 +1,7 @@
#!/bin/sh
# FIXME: convert this to a root-only test.
-# Copyright (C) 2005, 2007 Free Software Foundation, Inc.
+# Copyright (C) 2005, 2007-2008 Free Software Foundation, Inc.
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
@@ -37,6 +37,7 @@ skip_test_ temporarily disabled
# FIXME: define cleanup_ to do the umount
+fail=0
# FIXME: use mktemp
cd /tmp \
&& dd if=/dev/zero of=1 bs=8192 count=50 \
@@ -52,3 +53,5 @@ mkdir -p mnt-ro/rw/sub || fail=1
# To clean up
umount /tmp/2
umount /tmp/1
+
+(exit $fail); exit $fail